#
# spec file for package csi-external-snapshotter
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{go_nostrip}

%define project github.com/kubernetes-csi/external-snapshotter/v4
%define package csi-snapshotter
%define source external-snapshotter

Name:           csi-%{source}
Version:        4.0.0
Release:        1.16
Summary:        Triggers CreateSnapshot/DeleteSnapshot against a CSI endpoint
License:        Apache-2.0
Group:          System/Management
URL:            https://%{project}
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) >= 1.13

%description
Kubernetes CSI external-snapshotter sidecar watches Kubernetes VolumeSnapshotContent CRD objects and triggers CreateSnapshot/DeleteSnapshot against a CSI endpoint.

%prep
%setup -q
%setup -q -T -D -a 1

%build
%goprep %{project}

export CGO_ENABLED=0

%gobuild -a -mod=vendor -ldflags="-X main.version=%{version}" cmd/%{package}

%install
%goinstall

%files
%license LICENSE
%doc README.md
%{_bindir}/%{package}

%changelog
* Fri May  7 2021 Stefan Haas <stefan.haas@suse.com>
- Update version to 4.0.0
* Wed Mar 31 2021 Stefan Haas <stefan.haas@suse.com>
- Update version to v3.0.2
* Mon Mar  8 2021 Stefan Haas <stefan.haas@suse.com>
- v3.0.0 relies on golang 1.13
* Thu Mar  4 2021 Stefan Haas <stefan.haas@suse.com>
- Update version to 3.0.0
* Tue Nov 24 2020 Tim Serong <tserong@suse.com>
- Remove duplicate version information from _service file
* Wed Nov 18 2020 Tim Serong <tserong@suse.com>
- Rework _service and spec file to make future version updates easier
* Tue Aug 25 2020 Tim Serong <tserong@suse.com>
- Remove unnecessary BuildRequires: go1.12 >= 1.12.0
* Tue Aug 11 2020 Chin-Ya Huang <chin-ya.huang@suse.com>
- Fix project directory for v2.1.1.
* Tue Aug 11 2020 Chin-Ya Huang <chin-ya.huang@suse.com>
- Update version to 2.1.1.
  Ref: https://github.com/SUSE/avant-garde/issues/1779#issuecomment-671620066
* Wed Aug  5 2020 Chin-Ya Huang <chin-ya.huang@suse.com>
- Initial commit
